/*******************************************************************************
* Copyright (c) 2019, 2020 IBM Corporation and others.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v2.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v20.html
*
* Contributors:
*     IBM Corporation - initial API and implementation
*******************************************************************************/
import { ProjectToWatch } from "./ProjectToWatch";
export declare class CLIState {
    private _isProcessActive;
    private _isRequestWaiting;
    private readonly _projectId;
    private _timestamp;
    private readonly _installerPath;
    private readonly _projectPath;
    /** For automated testing only */
    private readonly _mockInstallerPath;
    /** For automated testing only */
    private _lastDebugPtwSeen;
    constructor(projectId: string, installerPath: string, projectPath: string);
    onFileChangeEvent(projectCreationTimeInAbsoluteMsecsParam: number, debugPtw: ProjectToWatch): void;
    private callCLIAsync;
    private runProjectCommand;
}
